post
https://{customerSubdomain}.smenso.cloud/skyisland/api/integration/task
The POST task endpoint can be used to create new tasks or update existing ones.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Body Fields
| Name | Type | Description |
|---|---|---|
| Id | GUID | The GUID of the task |
| Title | string | The Title of the task |
| Cost | double | The (Actual) Cost field of the task |
| Duration | long | The (Actual) Effort field of the task |
| PlannedCost | boolean | The Planned Cost field of the task |
| PlannedDuration | long | The Planned Effort field of the task |
| ParentId | GUID | The GUID of the parent task |
| Priority | integer | The 1 2 3 4 |
| ProcessId | GUID | |
| Folder | string | The title of the folder in which the task is located |
| StartDate | string | The Start Date field of the task |
| DueDate | string | The Due Date field of the task |
| StatusId | integer | The 1 2 3 |
| WorkflowId | GUID | The GUID of the workflow used by the task |
| WorkflowStatusId | GUID | The GUID of a custom status of the task |
| Description* | string | The Description field of the task |
| AppointedPersons | GUID,GUID,GUID,... | The (comma-separated) GUIDs of the assigned persons of the task |
| IsMilestone | boolean | Marking a task as a milestone |
| ComputeCost | boolean | The checkbox for automatic calculation of actual costs in a task. |
| ComputePlannedCost | boolean | The checkbox for automatic calculation of planned costs in a task. |
| ComputeDuration | boolean | The checkbox for automatic calculation of planned efforts in a task. |
| DependentOn | GUID | GUID of a related task (in Gantt or Timeline) |
| BlockTimeRecording | boolean | The toggle for block time recording on a task. |
Additions:
- Description: Additionally use CDATA if HTML
<![CDATA[Description]]> Allowed Tags: "h1", "br", "ul", "li", "a", "b", "p", "h2", "h3", "h4", "h5" Allowed Attributes: "href"
Request Data
<Tasks projectId="project-guid">
<Task>
<Id>task-guid</Id>
<Title><![CDATA[Titel der Aufgabe]]></Title>
<Timezone>
<Description><![CDATA[Beschreibung der Aufgabe]]></Description>
<Priority>1</Priority>
<StartDate>04.05.2022 +02:00</StartDate>
<DueDate>18.5.2022 +2:00</DueDate>
<PlannedCost>200</PlannedCost>
<Cost>100</Cost>
<StatusId>1</StatusId>
<WorkflowId>workflow-guid</WorkflowId>
<WorkflowStatusId>workflow-status-guid</WorkflowStatusId>
<Duration>120</Duration>
<PlannedDuration>180</PlannedDuration>
<IsMilestone>True</IsMilestone>
<Folder>Folder-name</Folder>
</Task>
</Tasks>Response
The response contains detailed information about the status of the ticket and the number of created and modified projects and tasks.
<Ticket>
<Id>c3406426-6028-48da-ad4a-76865336ff0f</Id>
<Endpoint>Task</Endpoint>
<Success>1</Success>
<Status>Success</Status>
<StatusId>10</StatusId>
<Received>05/10/2022 09:53:49 +00:00</Received>
<Started>05/10/2022 09:53:52 +00:00</Started>
<Processed>05/10/2022 09:56:41 +00:00</Processed>
<Projects>
<Created>0</Created>
<Modified>0</Modified>
<AttributesModified>0</AttributesModified>
</Projects>
<Tasks>
<Created>100</Created>
<Modified>0</Modified>
<AttributesModified>0</AttributesModified>
</Tasks>
</Ticket>Addressing Subtasks
<Tasks projectId=...>
<Task>
...
<Subtasks>
<Task>
...
</Task>
<Task>
...
</Task>
</Subtasks>
</Task>
</Tasks>Using Flavors in requests
Flavors are individual in each workspace. To address them via the API, you can use either the GUID (a globally unique ID with specific formatting) or the name of the flavor.
More information about the Flavor-GUID: Where can I get a Flavor-GUID?
The syntax for using the GUID or the flavor name in a request:
<Flavor target="GUID oder Name">Wert</Flavor><Tasks projectId="e7737f60-d5a8-4b61-8cda-2ad51ccff4dd">
<Task>
<Id>567ed2e2-4eba-4c4d-aadd-97b8778ea98e</Id>
<Flavor target="f5a7dbd8-b3dc-4e51-99a6-385846823311">PHRI</Flavor>
<Flavor target="fa44bc82-30a9-4eb9-a343-f5b7f0a9c269">Objektplanung</Flavor>
</Task>
</Tasks> 200OK
401Unauthorized
403Forbidden
